Bug 1003796 - [rhevm] Webadmin - Events - Search box with value "Events: Templates =*" gives error (Exception message is StatementCallback)
[rhevm] Webadmin - Events - Search box with value "Events: Templates =*" give...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.3.0
Assigned To: Ravi Nori
Jiri Belka
infra
: Reopened, Triaged
Depends On:
Blocks: rhev3.3ga
  Show dependency treegraph
 
Reported: 2013-09-03 05:05 EDT by David Botzer
Modified: 2016-02-10 14:27 EST (History)
12 users (show)

See Also:
Fixed In Version: is31
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:11:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
events-tab (122.00 KB, application/x-gzip)
2013-09-03 05:05 EDT, David Botzer
no flags Details
engine.log (38.81 KB, application/x-gzip)
2014-01-06 06:01 EST, Jiri Belka
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19220 None None None Never
oVirt gerrit 23049 None None None Never
oVirt gerrit 23051 None None None Never

  None (edit)
Description David Botzer 2013-09-03 05:05:15 EDT
Created attachment 793072 [details]
events-tab

Description of problem:
[rhevm] Webadmin - Events - Search box with value "Events: Templates =*" gives error (Exception message is StatementCallback)

Version-Release number of selected component (if applicable):
3.3/is12
rhevm-3.3.0-0.18.master.el6ev.noarch

How reproducible:
always

Steps to Reproduce:
1.Select Events Tab
2.In Search Box type - Events: Templates =*

Actual results:
GUI loads forever, Messages Bar shows No error message
engine.log shows the below Error (Exception)

Expected results:
Should display all events filtered by all availalbe strings for template

Additional info:
2013-09-03 11:57:03,414 ERROR [org.ovirt.engine.core.bll.SearchQuery] (ajp-/127.0.0.1:8702-6) Query SearchQuery failed. Exception message is StatementCallback;
 bad SQL grammar [SELECT * FROM (SELECT * FROM audit_log WHERE ( audit_log_id > 0 and audit_log_id IN (SELECT audit_log.audit_log_id FROM  audit_log   LEFT OUT
ER JOIN vms_with_tags ON audit_log.vm_id=vms_with_tags.vm_guid    LEFT OUTER JOIN vm_templates_storage_domain ON vms_with_tags.vmt_guid=vm_templates_storage_do
main.vmt_guid    WHERE  (  vm_templates_storage_domain.storage_pool_name LIKE '%%%' OR  vm_templates_storage_domain.vds_group_name LIKE '%%%' OR  vm_templates_
storage_domain.name LIKE '%%%' OR  vm_templates_storage_domain.description LIKE '%%%' OR  vm_templates_storage_domain.quota_name LIKE '%%%' OR  vm_templates_st
orage_domain.free_text_comment LIKE '%%%' OR  vm_templates_storage_domain.os LIKE '%%%' OR  vm_templates_storage_domain.domain LIKE '%%%' ) ) and not deleted) 
 ORDER BY audit_log_id DESC ) as T1 OFFSET (1 -1) LIMIT 100]; nested exception is org.postgresql.util.PSQLException: ERROR: operator does not exist: integer ~~
 unknown
  Hint: No operator matches the given name and argument type(s). You might need to add explicit type casts.
  Position: 696
Comment 1 Shai Revivo 2013-09-29 03:39:05 EDT
This bug was fixed and is slated to be in the upcoming version. As we are focusing our testing at this phase on severe bugs, this bug was closed without going through its verification step
Comment 2 Jiri Belka 2014-01-06 06:00:30 EST
This did not pass verification and the bug is still present in IS30 (rhevm-3.3.0-0.43.el6ev.noarch).
Comment 3 Jiri Belka 2014-01-06 06:01:03 EST
Created attachment 846020 [details]
engine.log
Comment 4 Ravi Nori 2014-01-07 08:50:21 EST
The patch http://gerrit.ovirt.org/#/c/20396 for bug BZ 1003804 has over written the changes made to fix this issue.
Comment 5 Jiri Belka 2014-01-13 10:42:13 EST
ok, is31.
Comment 7 Itamar Heim 2014-01-21 17:11:15 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.